OpenTTD Source: Livery Struct Reference

OpenTTD Source 15.0-RC2

Public Types | Data Fields
Livery Struct Reference

Information about a particular livery. More...

`#include <livery.h>`

## Public Types
enum class | Flag : uint8_t { Primary = 0 , Secondary = 1 }
using | Flags = EnumBitSet< Flag, uint8_t >

## Data Fields
Flags | in_use {}
| Livery flags.
Colours | colour1 = COLOUR_BEGIN
| First colour, for all vehicles.
Colours | colour2 = COLOUR_BEGIN
| Second colour, for vehicles with 2CC support.

## Detailed Description

Information about a particular livery.

Definition at line 79 of file livery.h.

## Member Typedef Documentation

## ◆ Flags

using Livery::Flags = EnumBitSet<Flag, uint8_t>

Definition at line 84 of file livery.h.

## Member Enumeration Documentation

## ◆ Flag

enum class Livery::Flag : uint8_t
| strong

Enumerator
Primary | Primary colour is set.
Secondary | Secondary colour is set.

Definition at line 80 of file livery.h.

## Field Documentation

## ◆ colour1

Colours Livery::colour1 = COLOUR_BEGIN

First colour, for all vehicles.

Definition at line 87 of file livery.h.

Referenced by CmdAlterGroup(), CmdCreateGroup(), CmdSetGroupLivery(), DrawNewObjectTileInGUI(), GetCompanyInfo(), Company::GetCompanyRecolourOffset(), SelectCompanyLiveryWindow::GetWidgetString(), PropagateChildLivery(), and UpdateCompanyGroupLiveries().

## ◆ colour2

Colours Livery::colour2 = COLOUR_BEGIN

Second colour, for vehicles with 2CC support.

Definition at line 88 of file livery.h.

Referenced by CmdAlterGroup(), CmdCreateGroup(), CmdSetGroupLivery(), DrawNewObjectTileInGUI(), GetCompanyInfo(), Company::GetCompanyRecolourOffset(), SelectCompanyLiveryWindow::GetWidgetString(), PropagateChildLivery(), and UpdateCompanyGroupLiveries().

## ◆ in_use

Flags Livery::in_use {}

Livery flags.

Definition at line 86 of file livery.h.

Referenced by CmdAlterGroup(), CmdSetGroupLivery(), GetEngineLivery(), SelectCompanyLiveryWindow::GetWidgetString(), PropagateChildLivery(), and UpdateCompanyGroupLiveries().

The documentation for this struct was generated from the following file:

- src/livery.h